/*---------------------------------------------------------------------------------------------------------*/
/*                                                                                                         */
/* Copyright(c) 2011 Nuvoton Technology Corp. All rights reserved.                                         */
/*                                                                                                         */
/*---------------------------------------------------------------------------------------------------------*/

//***********************************************************************************************************
//  Nuvoton Technoledge Corp. 
//  Author: PU20 Department. 
//  Tel: 03-5770066#8043
//  E-Mail: MicroC-8bit@nuvoton.com
//***********************************************************************************************************
#include <stdio.h>
#include "N79E825.h"
#include "Typedef.h"
#include "Define.h"
#include "Common.h"
#include "Delay.h"

//-----------------------------------------------------------------------------------------------------------
/* use timer1 as Baudrate generator, Maxmum Baudrate can 9600 bps
 */
void InitialUART0_Timer1(UINT32 u32Baudrate) 
{                                                
    SCON = 0x52;
    TMOD = 0x20;

#ifdef FOSC_110592
    TH1 = 256 - (28800/u32Baudrate); /* 11.059M/384=28800 */
#elif FOSC_184320
    TH1 = 256 - (48000/u32Baudrate); /* 18.4320M/384=48000 */
#elif FOSC_221184
    TH1 = 256 - (57600/u32Baudrate); /* 22.1184M/384=57600 */
#elif FOSC_331776
    TH1 = 256 - (86400/u32Baudrate); /* 33.1776M/384=86400 */
#elif FOSC_368640
    TH1 = 256 - (96000/u32Baudrate); /* 36.8640M/384=96000 */
#endif
    TR1 = 1;
}


#ifdef InternalRC
void UART_initial_source_6MHz()     //2400 baud @ 6MHz , Deviation 0.16%
{                     
    PCON |= 0x80;       //double bps
    SCON  = 0x50;       /* SCON: mode 1, 8-bit UART, enable rcvr      */
    TMOD |= 0x20;       /* TMOD: timer 1, mode 2, 8-bit reload        */
    TH1   = 0xF3;       /* TH1:  */
    TR1   = 1;          /* TR1:  timer 1 run                          */
    TI    = 1;          /* TI:   set TI to send first char of UART    */
}
//-----------------------------------------------------------------------------------------------------------
#endif 