/*---------------------------------------------------------------------------------------------------------*/
/*                                                                                                         */
/* Copyright(c) 2011 Nuvoton Technology Corp. All rights reserved.                                         */
/*                                                                                                         */
/*---------------------------------------------------------------------------------------------------------*/

//***********************************************************************************************************
//  Nuvoton Technoledge Corp. 
//  Author: PU20 Department. 
//  Tel: 03-5770066#8043
//  E-Mail: MicroC-8bit@nuvoton.com
//***********************************************************************************************************
#include <stdio.h>
#include "N79E825.h"
#include "Typedef.h"
#include "Define.h"
#include "Common.h"
#include "Delay.h"

#if defined FOSC_110592 == 1
    #define VALUE_10us    65536-9       //9*12/11.0592 = 10 uS
    #define VALUE_1ms     65536-923     //923*12/11.0592 = 1 mS

#elif defined FOSC_184320 == 1
    #define VALUE_10us    65536-15      //15*12/18.432 = 10 uS
    #define VALUE_1ms     65536-1536    //1536*12/18.432 = 1 mS

#elif defined FOSC_221184 == 1
    #define VALUE_10us    65536-18      //9*12/22.1184 = 10 uS
    #define VALUE_1ms     65536-1843    //1843*12/22.1184 = 1 mS

#elif defined FOSC_368640 == 1
    #define VALUE_10us    65536-31      //31*12/36.864 = 10 uS
    #define VALUE_1ms     65536-3072    //3072*12/36.864 = 1 mS
#endif

#if defined Common_Delay
//-------------------------------------------------------------------------
void Delay10us(UINT16 u16CNT)
{
    TR0 = 1;
    while (u16CNT != 0)
    {
        TL0 = LOBYTE(VALUE_10us);   
        TH0 = HIBYTE(VALUE_10us);
        while (TF0 != 1);
        TF0 = 0;
        u16CNT --;
    }
    TR0 = 0;
}
#endif
//------------------------------------------------------------------------------
void Delay1ms(UINT32 u32CNT)
{
    TR0 = 1;
    while (u32CNT != 0)
    {
        TL0 = LOBYTE(VALUE_1ms); 
        TH0 = HIBYTE(VALUE_1ms);
        while (TF0 != 1);
        TF0 = 0;
        u32CNT --;
    }
    TR0 = 0;
}
