/*---------------------------------------------------------------------------------------------------------*/
/*                                                                                                         */
/* Copyright(c) 2011 Nuvoton Technology Corp. All rights reserved.                                         */
/*                                                                                                         */
/*---------------------------------------------------------------------------------------------------------*/

//***********************************************************************************************************
//  Nuvoton Technoledge Corp. 
//  Author: PU20 Department. 
//  Tel: 03-5770066#8043
//  E-Mail: MicroC-8bit@nuvoton.com
//***********************************************************************************************************
//  Application: Comparator Function 
//***********************************************************************************************************
/*
//-------- <<< Use Configuration Wizard in Context Menu >>> ------------------
//    <e0.5> Comparator 1 Enable
//    <o0.4> Comparator Positive Input Select:
//                  <0=> P04      <1=> P03
//    <o0.3> Comparator Negative Input Select:
//                  <0=> P05      <1=> Vref
//    </e>
//    <e0.5> Comparator 2 Enable
//    <o0.4> Comparator Positive Input Select:
//                  <0=> P02      <1=> P01
//    <o0.3> Comparator Negative Input Select:
//                  <0=> P00      <1=> Vref
//    </e>
//-------- <<< end of configuration section >>> ------------------------------
*/
#include "N79E825.h"
#include "Typedef.h"
#include "Define.h"
#include "Common.h"
#include "Delay.h"
#include <intrins.h>
#include <stdio.h>
#include <string.h>
#define Cmp1_Setting    0x20
#define Cmp2_Setting    0X00

//-----------------------------------------------------------------------------------------------------------
void CMF2_ISR() interrupt 8 
{
    CMP2 &= CLR_BIT0;   //Clear Comparator 2 Flag
    P17 = ~P17;
}
//-----------------------------------------------------------------------------------------------------------
void CMF1_ISR() interrupt 12 
{
    CMP1 &= CLR_BIT0;   //Clear Comparator 1 Flag
    P16 = ~P16;
}
//-----------------------------------------------------------------------------------------------------------
void main()
{
    InitialUART0_Timer1(9600);  /* 9600 Baud Rate @ 11.0592MHz */
    printf ("\n*===================================================================");
    printf ("\n*  Name: N79E825 Series Comparator Demo Code.");
    printf ("\n*===================================================================");  
    printf ("\nP1.7 toggle if Comparator2 Interrupt");
    printf ("\nP0.0 as Cmp2 Ouptut");
    printf ("\nP1.6 toggle if Comparator1 Interrupt");
    printf ("\nP0.6 as Cmp1 Ouptut");
    printf ("\nComparator Demo Start.\n");

    EC1 = 1;            //Enable Comparator 1 Interrupt
    CMP1 = Cmp1_Setting;//See the setting of Configuration wizard
    CMP1 |= SET_BIT2;   //Comparator Output Enable
    CMP1 &= CLR_BIT0;   //Clear Comparator 1 Flag
    
    EC2 = 1;            //Enable Comparator 2 Interrupt
    CMP2 = Cmp2_Setting;//See the setting of Configuration wizard
    CMP2 |= SET_BIT2;   //Comparator Output Enable
    CMP2 &= CLR_BIT0;   //Clear Comparator 2 Flag
    
    EA =1;              // setb    EA                 

    
    while(1);

}








