/*---------------------------------------------------------------------------------------------------------*/
/*                                                                                                         */
/* Copyright(c) 2011 Nuvoton Technology Corp. All rights reserved.                                         */
/*                                                                                                         */
/*---------------------------------------------------------------------------------------------------------*/

//***********************************************************************************************************
//  Nuvoton Technoledge Corp. 
//  Author: PU20 Department. 
//  Tel: 03-5770066#8043
//  E-Mail: MicroC-8bit@nuvoton.com
//***********************************************************************************************************
//  Application: KBI Function 
//***********************************************************************************************************
/*
//-------- <<< Use Configuration Wizard in Context Menu >>> ------------------
//    <h> KBI  Enable
//                  <q0.0> KBI.0
//                  <q0.1> KBI.1
//                  <q0.2> KBI.2
//                  <q0.3> KBI.3
//                  <q0.4> KBI.4
//                  <q0.5> KBI.5
//                  <q0.6> KBI.6
//                  <q0.7> KBI.7
//    </h>
//-------- <<< end of configuration section >>> ------------------------------
*/
#include "N79E825.h"
#include "Typedef.h"
#include "Define.h"
#include "Common.h"
#include "Delay.h"
#include <intrins.h>
#include <stdio.h>
#include <string.h>
#define KBI_Enable         0x2F

//-----------------------------------------------------------------------------------------------------------
void KBI_ISR() interrupt 7
{
    AUXR1 &= 0x7f;             //Clear KBF flag               
    P17 = ~P17;
}
//-----------------------------------------------------------------------------------------------------------
void main()
{
    InitialUART0_Timer1(9600);  /* 9600 Baud Rate @ 11.0592MHz */
    printf ("\n*===================================================================");
    printf ("\n*  Name: N79E825 Series KBI Demo Code.");
    printf ("\n*===================================================================");  
    printf ("\nP00~P07 as KBI Input.");
    printf ("\nP1.7 toggle if KBI Interrupt");
    printf ("\nKBI Demo Start.\n");


    AUXR1 &= CLR_BIT7;         // Clear KBF
    EKB    = 1;                // Enable KBI Interrupt
                               
    KBI    = KBI_Enable;       // KBI Enable
                               
    EA     = 1;                // Enable EA
    
    while(1);

}








