/*---------------------------------------------------------------------------------------------------------*/
/*                                                                                                         */
/* Copyright(c) 2011 Nuvoton Technology Corp. All rights reserved.                                         */
/*                                                                                                         */
/*---------------------------------------------------------------------------------------------------------*/

//***********************************************************************************************************
//  Nuvoton Technoledge Corp. 
//  Author: PU20 Department. 
//  Tel: 03-5770066#8043
//  E-Mail: MicroC-8bit@nuvoton.com
//***********************************************************************************************************
//  Application: PWM Function 
//***********************************************************************************************************

//=== How to set PWM register =======================
//  1.set load=1;PWMRUN=1; ==> PWMCON1=0xC0;
//     
//  2.Frequency == Fosc/(PWMP+1)
//    Use internal OSC :Fosc = 6MHz    
//           
//  3.Duty = (PWMP-PWMn+1)/PWMP
//
//  4.PWMP > PWMn ==> Output = High
//==================================================
/*
//-------- <<< Use Configuration Wizard in Context Menu >>> ------------------
//       <o0.0..15> PWM Period<1-4096> <#-1>
//       <o1.0..15> PWM Duty<1-4096> <#-1>
//-------- <<< end of configuration section >>> ------------------------------
*/

#define PWMP       0x03FF;
#define PWM0_Duty  0x01FF;
#include <stdio.h>
#include "N79E825.h"
#include "Typedef.h"
#include "Define.h"
#include "Common.h"
#include "Delay.h"

void Init_PWM(void)
{
    UINT16 PWM_shadow;

    InitialUART0_Timer1(9600);  /* 9600 Baud Rate @ 11.0592MHz */
    printf ("\n*===================================================================");
    printf ("\n*  Name: N79E825 Series PWM Demo Code.");
    printf ("\n*===================================================================");  
    printf ("\nPWM Demo Start.\n");
    
    PWMCON1 = 0XC0;            // Enable PWM, auto reload mode
    
    PWM_shadow = PWMP;
    PWMPH = HIBYTE(PWM_shadow);// PWM Period
    PWMPL = LOBYTE(PWM_shadow);
    
    PWM_shadow=PWM0_Duty;
    PWM0H = HIBYTE(PWM_shadow);// PWM Duty
    PWM0L = LOBYTE(PWM_shadow);       
}
//-----------------------------------------------------------------------------------------------------------
void main(void)
{       
    Init_PWM();    
    while(1);
}