/*---------------------------------------------------------------------------------------------------------*/
/*                                                                                                         */
/* Copyright(c) 2011 Nuvoton Technology Corp. All rights reserved.                                         */
/*                                                                                                         */
/*---------------------------------------------------------------------------------------------------------*/

//***********************************************************************************************************
//  Nuvoton Technoledge Corp. 
//  Author: PU20 Department. 
//  Tel: 03-5770066#8043
//  E-Mail: MicroC-8bit@nuvoton.com
//***********************************************************************************************************
//  Application: Power Down Mode
//***********************************************************************************************************
#include <stdio.h>
#include "N79E825.h"
#include "Typedef.h"
#include "Define.h"
#include "Common.h"
#include "Delay.h"

bit Test_Bit = 0;
void main()
{
    InitialUART0_Timer1(9600);  /* 9600 Baud Rate @ 11.0592MHz */
    printf ("\n*===================================================================");
    printf ("\n*  Name: N79E825 Series PowerDowmMode Demo Code.");
    printf ("\n*===================================================================");  
    printf ("\nPowerDowmMode Demo Start.\n");
    printf ("\nP1.4 toggle low to enter PowerDowmMode or exit it.\n");
    
    EX1    = 1;                     // INT1 interrupt open
    IT1    = 0;                     // INT1 low level triggered
    EA     = 1;                     // Enable interrupt
    AUXR1 &= 0x00;                  
    AUXR1 |= 0x40;                  // Disable Brownout Detect function and save power.
    P0     = 0x00;                  // Set pin out as low level(0)
    P1     = 0x10;                  // P1.4(INT1) out as high level(1)
    P2     = 0x00;
                                    //Using P1.4(INT1) to wake up MCU in power down mode.   
    while(1)
    {
        if(Test_Bit)
            PCON |= 0x02;           // Power Down mode
    }

}
//-----------------------------------------------------------------------------------------------------------
void INT_1() interrupt 2 using 0    // INT1 interrupt service function
{
    UINT32 u32delayCount = 10000;
    Test_Bit = ~Test_Bit;   
    while(u32delayCount--);
}