/*---------------------------------------------------------------------------------------------------------*/
/*                                                                                                         */
/* Copyright(c) 2011 Nuvoton Technology Corp. All rights reserved.                                         */
/*                                                                                                         */
/*---------------------------------------------------------------------------------------------------------*/

//***********************************************************************************************************
//  Nuvoton Technoledge Corp. 
//  Author: PU20 Department. 
//  Tel: 03-5770066#8043
//  E-Mail: MicroC-8bit@nuvoton.com
//***********************************************************************************************************
//  Application: Timer Function 
//***********************************************************************************************************
#include <stdio.h>
#include "N79E825.h"
#include "Typedef.h"
#include "Define.h"
#include "Common.h"
#include "Delay.h"
/**
 * FUNCTION_PURPOSE: This file set up timer 0 in mode 1 (16 bits timer) 
 * with a hardware gate.
 * The 16-bits register consist of all 8 bits of TH0 and all 8 bits   
 * of TL0.   
 * FUNCTION_INPUTS: P3.2(INT0)=1 : GATE Input
 * FUNCTION_OUTPUTS: void
 */
void main(void)
{
    InitialUART0_Timer1(9600);  /* 9600 Baud Rate @ 11.0592MHz */
    printf ("\n*===================================================================");
    printf ("\n*  Name: N79E825 Series Timer0 Demo Code.");
    printf ("\n*===================================================================");  
    printf ("\nTimer0 Demo Start.");
    printf ("\nP0.6 toggle when interrupt.\n");
    
    TMOD &= 0xF0;               /* Timer 0 mode 1 with hardware gate */
    TMOD |= 0x09;               /* GATE0=1; C/T0#=0; M10=0; M00=1; */
    
    TH0 = 0x00;                 /* init values */
    TL0 = 0x00;     
    ET0 = 1;                    /* enable timer0 interrupt */
    EA = 1;                     /* enable interrupts */
    TR0 = 1;                    /* timer0 run */
    while(1);                   /* endless  */
} 
//-----------------------------------------------------------------------------------------------------------
/**
 * FUNCTION_PURPOSE: timer0 interrupt
 * FUNCTION_INPUTS: void
 * FUNCTION_OUTPUTS: P1.0 toggle period = 2 * 65536 cycles  
 */
/*******************************************************************************
*   TIMER 0 interrupt subroutine
*******************************************************************************/
void it_timer0(void) interrupt 1 /* interrupt address is 0x000b */
{
    TF0 = 0;                     /* reset  interrupt flag (already done by hardware)*/
    P06 = ~P06;                  /* P1.0 toggle when interrupt. */
}

