/*---------------------------------------------------------------------------------------------------------*/
/*                                                                                                         */
/* Copyright(c) 2011 Nuvoton Technology Corp. All rights reserved.                                         */
/*                                                                                                         */
/*---------------------------------------------------------------------------------------------------------*/

//***********************************************************************************************************
//  Nuvoton Technoledge Corp. 
//  Author: PU20 Department. 
//  Tel: 03-5770066#8043
//  E-Mail: MicroC-8bit@nuvoton.com
//**********************************************************************************************************
//  Application : UART
//  Uart receive a byte and transmit the same byte to PC
//***********************************************************************************************************
#include <stdio.h>
#include "N79E825.h"
#include "Typedef.h"
#include "Define.h"
#include "Common.h"
#include "Delay.h"
UINT8 u8Uart_Data;
//-----------------------------------------------------------------------------------------------------------
void main (void) 
{
                                        //2400 baud @ 6MHz , Deviation 0.16%
    PCON  |=0x80;                       //double bps
    SCON  = 0x50;                       /* SCON: mode 1, 8-bit UART, enable rcvr      */
    TMOD |= 0x20;                       /* TMOD: timer 1, mode 2, 8-bit reload        */
    TH1   = 0xF3;                       /* TH1:  */

    ES = 1;                             /* Enable serial interrupt  */
    EA = 1;                             /* Enable global interrupt */
    TR1 = 1;                            /* Timer 1 run */

   while(1);                            /* endless */
}       
//-----------------------------------------------------------------------------------------------------------
/**
 * FUNCTION_PURPOSE: serial interrupt, echo received data.
 * FUNCTION_INPUTS: P1.1(RXD) serial input
 * FUNCTION_OUTPUTS: P1.0(TXD) serial output
 */
void Serial_IT(void) interrupt 4 
{

    if (RI == 1) 
    {                                   /* if reception occur */
      RI = 0;                           /* clear reception flag for next reception */
      u8Uart_Data = SBUF;               /* Read receive data */
      SBUF = u8Uart_Data;               /* Send back same data on uart*/
    }
    else TI = 0;                        /* if emission occur */
                                        /* clear emission flag for next emission*/      
}
//-----------------------------------------------------------------------------------------------------------
