/*---------------------------------------------------------------------------------------------------------*/
/*                                                                                                         */
/* Copyright(c) 2011 Nuvoton Technology Corp. All rights reserved.                                         */
/*                                                                                                         */
/*---------------------------------------------------------------------------------------------------------*/

//***********************************************************************************************************
//  Nuvoton Technoledge Corp. 
//  Author: PU20 Department. 
//  Tel: 03-5770066#8043
//  E-Mail: MicroC-8bit@nuvoton.com
//***********************************************************************************************************
//  Application: WDT Function 
//***********************************************************************************************************

#include <stdio.h>
#include "N79E825.h"
#include "Typedef.h"
#include "Define.h"
#include "Common.h"
#include "Delay.h"
void WDT_ISR(void)  interrupt 10
{               
    BIT bit_Status1;
    
    bit_Status1 = EA;
    EA = 0;             /* MCU must clear all interrupt */
    TA = 0xAA;
    TA = 0x55;
    WDCON = 0x00;       // Reset WDT
    EA = bit_Status1;
    
    P06 = ~P06; 
    
    bit_Status1 = EA;
    EA = 0;             /* MCU must clear all interrupt */
    TA = 0xAA;
    TA = 0x55;
    WDCON |= 0xE3;      // Enable WDT
    EA = bit_Status1;
}
//-----------------------------------------------------------------------------------------------------------
void main(void)
{
    BIT bit_Status;

    InitialUART0_Timer1(9600);  /* 9600 Baud Rate @ 11.0592MHz */
    printf ("\n*===================================================================");
    printf ("\n*  Name: N79E825 Series WDT Demo Code.");
    printf ("\n*===================================================================");  
    printf ("\nWDT Demo Start.\n");
    printf ("\nP06 toggle when interrupt."); 
    
    bit_Status = EA;
    EA = 0;             /* MCU must clear all interrupt */
    TA = 0xAA;
    TA = 0x55;          /* To Enable access WDCON register must first writer in AAH then 55H to TA  */
    WDCON = 0x00;       //Reset WDT 
    EA = bit_Status;  

    bit_Status = EA;
    EA = 0;             /* MCU must clear all interrupt */
    TA = 0xAA;
    TA = 0x55;
    WDCON |= 0xE3;      // Enable WDT
    EA = bit_Status;  
    
    EWDI = 1;           // Enable WDT interrupt
    EA = 1;             // Enable interrupt
    while(1);
    
}
